RT_TASK_DELETE(3)

NAME
rt_task_delete - delete a real-time task

WARNING
This is RTL v1.x compatibility function. Please do not use it for new programs.

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include <linux/rtf.h>

int rt_task_delete(RT_TASK * task);

DESCRIPTION
rt_task_delete deletes a real-time task previously created by a call to rt_task_init. task is the structure with which the task was originally created.

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EINVAL
    task does not refer to a valid task.

SEE ALSO
rt_task_init(3), rt_task_make_periodic(3), rt_task_suspend(3), rt_task_wait(3)